#include <gdk/gdk.h>
#include <gtk/gtk.h>

#ifndef CALLBACKS_H_
#define CALLBACKS_H_

// definicje dla pol GTK_ENTRY 
#define ENTRY_GET_TEXT(a) gtk_entry_get_text(GTK_ENTRY(a))
#define ENTRY_CLEAN(a) gtk_entry_set_text(GTK_ENTRY(a), "")
#define ENTRY_SET_TEXT(a, b) gtk_entry_set_text(GTK_ENTRY(a), b)
// definicje dla GtkClist
#define CLIST_GET_TEXT(clist, wiersz, kolumna, text) gtk_clist_get_text(GTK_CLIST(clist), wiersz, kolumna, text)
// --koniec--
#define SPRZEDAWCA "/etc/xdefactor/sprzedawca.conf"
#define XDEFACTOR "/etc/xdefactor/xdefactor.conf"

void get_wz(	GtkWidget 	*clist,
		gint		row,
		gint 		column,
		GdkEventButton	*event,
		gpointer	data);

void slownie(char *try1);
		
void uaktualnij_promocje(GtkWidget *button3, gpointer data);

void add_towar_wz(gpointer *data);

void lista_nabywcow(GtkWidget *widget, GtkWidget *widget_);

void lista_towarow(GtkWidget *widget, GtkWidget *widget_);

void faktura(GtkWidget *fixed1);

void wz(GtkWidget *window1, GtkWidget *fixed1);

void szukaj(char *nazwa_pliku, char *wzorzec, char *wynik);

void kupno(GtkWidget *widget, GtkWidget *widget_);

void nr_wz(char *key);

void drukuj_wz();

void promocja(GtkWidget *window1, GtkWidget *fixed1);

void aktualizuj_towary_wz(gpointer *data);

void sprawdz_opcje();

int conn_db(int QID);

void backup_single(void);

void message_drukuj();

void message_dlg(char *mesaage, char *typ);

void dodaj_promocje(GtkWidget *button1, gpointer data);

void towar_note(GtkWidget *window1, GtkWidget *fixed1);

void backup_multi(void);

void usun_promocje();

void backup_interface(GtkWidget *window1, GtkWidget *fixed1);

void sp_logo(GtkWidget *window, GtkWidget *fixed);

void nabywca(GtkWidget *window, GtkWidget *fixed);

void towar(GtkWidget *window, GtkWidget *fixed);

void opak(GtkWidget *window, GtkWidget *fixed);

void inwest(GtkWidget *window, GtkWidget *fixed);

void kalkulator(GtkWidget *window, GtkWidget *fixed);

void opak(GtkWidget *window, GtkWidget *fixed);

void message_dlg(char *message, char *typ);

void drukuj_op(GtkWidget *fixed1);

void drukuj_faktura(char *odbiorca);

void dodaj_obrot();

void print_op();

void aktualizuj_promocje(gpointer *data);

void aktualizuj_nabywcow(gpointer *data);

void aktualizuj_towary(gpointer *data);

void aktualizuj_faktury(gpointer *data);

void aktualizuj_opak(gpointer *data);

void licz_suma(gpointer *data);

void licz_suma_faktura();

void add(gpointer *data);

void szukaj_nabywca(void);

void uaktualnij_nabywca(void);

void czysc_nabywca(void);

void usun_opak(void);

void dodaj_nabywca(void);

void usun_nabywca(void);

void dodaj_opak(void);

void dodaj_towar(void);

void dodaj_inwest(void);

void dodaj_magazyn(GtkWidget *entry8_to);

void usun_magazyn(GtkWidget *entry8_to);

void usun_magazyn_z_fak(GtkWidget *entry8_to);

void czysc_towar(void);

void uaktualnij_towar(void);

void uaktualnij_opak(void);

void szukaj_towar(void);

void usun_towar(void);

void nr_fak(gchar *key);

void drukuj(GtkWidget *widget);

void get_towar();

void get_promo();

void obliczenia();

void slownie(gchar *try1);

void szukaj_opak(void);

void usun_trans(void);

void dodaj_obrot_op();

void get_fir_op();

void get_faktura();

void get_trans();

void fak(GtkWidget *fixed);

#endif
